# $Id: torcs.spec,v 1.2 2003/04/24 20:28:39 dude Exp $

%define desktop_vendor freshrpms

Summary: The Open Racing Car Simulator.
Name: torcs
Version: 1.2.1
Release: fr1
License: GPL
Group: Amusements/Games
Source: http://prdownloads.sourceforge.net/torcs/TORCS-%{version}-src.tgz
Source1: http://prdownloads.sourceforge.net/torcs/TORCS-%{version}-src-robots-base.tgz
Source2: http://prdownloads.sourceforge.net/torcs/TORCS-%{version}-src-robots-berniw.tgz
Source3: http://prdownloads.sourceforge.net/torcs/TORCS-%{version}-src-robots-K1999.tgz
URL: http://torcs.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: torcs-data, glut, plib >= 1.6.0
BuildRequires: glut-devel, plib >= 1.6.0, libjpeg-devel, zlib-devel
BuildRequires: desktop-file-utils

%description
TORCS is a 3D racing cars simulator using OpenGL.  The goal is to have
programmed robots drivers racing against each others.  You can also drive
yourself with either a wheel, keyboard or mouse. 


%package robots
Summary: The Open Racing Car Simulator robots.
Group: Amusements/Games

%description robots
TORCS is a 3D racing cars simulator using OpenGL.  The goal is to have
programmed robots drivers racing against each others.  You can also drive
yourself with either a wheel, keyboard or mouse.

This package contains the robots who can race on their own.


%prep
%setup -q -a 1 -a 2 -a 3
# Put the drivers back where they belong
mv %{name}-%{version}/src/drivers/* src/drivers/

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

install -m 644 -D Ticon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=TORCS
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category Game                           \
  %{name}.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGELOG.html COPYING README.linux TODO.html
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/config
%dir %{_datadir}/games/%{name}/drivers
%{_datadir}/games/%{name}/drivers/human
%{_datadir}/games/%{name}/modules
%{_datadir}/games/%{name}/results
%{_datadir}/games/%{name}/telemetry
%{_datadir}/games/%{name}/setup_linux.sh
%{_datadir}/games/%{name}/torcs
%{_datadir}/pixmaps/%{name}.png

%files robots
%defattr(-, root, root)
%dir %{_datadir}/games/%{name}
#%dir %{_datadir}/games/%{name}/drivers
#%{_datadir}/games/%{name}/drivers/K1999
#%{_datadir}/games/%{name}/drivers/berniw*
#%{_datadir}/games/%{name}/drivers/cylos1
#%{_datadir}/games/%{name}/drivers/damned
#%{_datadir}/games/%{name}/drivers/inferno*
#%{_datadir}/games/%{name}/drivers/lliaw
#%{_datadir}/games/%{name}/drivers/tanhoj
#%{_datadir}/games/%{name}/drivers/tita
# Easier this way, since we package them all-minus-one in ;-)
%{_datadir}/games/%{name}/drivers
%exclude %{_datadir}/games/%{name}/drivers/human

%changelog
* Wed Apr 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

